<template>
    <div class="success_modal">
        <img class="success_modal-close"
             src="/assets/img/close.png"
             alt=""
             @click="onCloseForm"
        >
        <img class="success_modal-icon" src="assets/img/check2.svg" alt="">
        <p>{{ local.defaultText[$lang] }}</p>
    </div>
</template>

<script>
    import local from '../../localisation/modals/successModalLocalisation.js';

    export default {
        mounted() {
            setTimeout(()=>{
                this.$emit('formClosedEvent')
            }, 2000)
        },
        data: ()=>({
           local
        }),
        methods: {
            onCloseForm() {
                this.$emit('formClosedEvent');
            },
        }
    }
</script>

<style scoped lang="scss">
    .success_modal {
        width: 80%;
        max-width: 550px;
        border-radius: 10px;
        background-color: #fff;
        height: 300px;
        display: flex;
        flex-wrap: wrap;
        align-content: center;
        justify-content: center;
        position: relative;
        p {
            width: 100%;
            text-align: center;
            margin-top: 30px;
            font-size: 24px;
        }
        &-icon {
            width: 40px;
        }
        &-close {
            position: absolute;
            top: 40px;
            right: 40px;
        }
    }
</style>
